> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get invoice line

## Field support per integration

<AccordionGroup>
  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="lineItemId" type="string" />

    <ResponseField name="itemId" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="discountItemAmount" type="number" />

    <ResponseField name="discountItemPercentage" type="number" />

    <ResponseField name="grossAmount" type="number" />

    <ResponseField name="itemsAmount" type="number" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxCode" type="string" />

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="unitAmount" type="number" />
  </Accordion>

  <Accordion title="Lexware Office" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/lexoffice.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=efe4da1d7b59a552d1938ec981ccbc1e" width="24" height="24" data-path="logo/lexoffice.svg">
    <Note>
      Please note that Lexware Office does not support the `lineItemId` field and needs the `itemId` as the unique identifier.
    </Note>

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="itemId" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="discountItemPercentage" type="number" />

    <ResponseField name="grossAmount" type="number" />

    <ResponseField name="itemsAmount" type="number" />

    <ResponseField name="name" type="string" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="unitAmount" type="number" />
  </Accordion>

  <Accordion title="Sage Active" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId.
    </Note>

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="lineItemId" type="string" />

    <ResponseField name="itemId" type="string" />

    <ResponseField name="discountItemPercentage" type="number" />

    <ResponseField name="grossAmount" type="number" />

    <ResponseField name="itemsAmount" type="number" />

    <ResponseField name="name" type="string" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="unitAmount" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="sevdesk" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sevdesk.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=2b266052b2531cf2995f78c2aecf6019" width="24" height="24" data-path="logo/sevdesk.svg">
    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="lineItemId" type="string" />

    <ResponseField name="itemId" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="discountItemAmount" type="number" />

    <ResponseField name="grossAmount" type="number" />

    <ResponseField name="itemsAmount" type="number" />

    <ResponseField name="name" type="string" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="unitAmount" type="number" />

    <ResponseField name="updatedDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="Xentral" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/xentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=178700a67ab1b51df03e62487907f0dd" width="24" height="24" data-path="logo/xentral.svg">
    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="lineItemId" type="string" />

    <ResponseField name="itemId" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="discountItemPercentage" type="number" />

    <ResponseField name="grossAmount" type="number" />

    <ResponseField name="itemsAmount" type="number" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="createdDate" type="string">
      ISO-8601 date format, e.g., 2024-01-01T00:00:00Z
    </ResponseField>
  </Accordion>

  <Accordion title="Xero" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/xero.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=4496b21aab750469b3d5e96a1588d9f0" width="45" height="46" data-path="logo/xero.svg">
    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="lineItemId" type="string" />

    <ResponseField name="description" type="string" />

    <ResponseField name="dimensions " type="Dimension[]">
      <Expandable title="properties">
        <ResponseField name="id" type="string" />

        <ResponseField name="name " type="string" />
      </Expandable>
    </ResponseField>

    <ResponseField name="discountItemAmount" type="number" />

    <ResponseField name="discountItemPercentage" type="number" />

    <ResponseField name="grossAmount" type="number" />

    <ResponseField name="itemsAmount" type="number" />

    <ResponseField name="itemId" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="quantity" type="number">
      Note that quantity can be a decimal numeral.
    </ResponseField>

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="unitAmount" type="number" />
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/invoices/{invoiceId}/lineItems/{lineItemId}
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/invoices/{invoiceId}/lineItems/{lineItemId}:
    get:
      tags:
        - accounting
      operationId: getLineItem
      parameters:
        - name: invoiceId
          required: true
          in: path
          schema:
            type: string
        - name: lineItemId
          required: true
          in: path
          schema:
            type: string
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        $ref: '#/components/schemas/InvoiceLineItemResponseDto'
                        type: object
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    InvoiceLineItemResponseDto:
      type: object
      properties:
        lineItemId:
          type: string
          example: 987a2b3c-4d5e-6f7g-8h9i-0j1k2l3m4n5o
        accountId:
          type: string
          example: 6733a433-9662-4a40-8e36-e38ebda94fe1
        createdDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        description:
          type: string
          example: SEOUL Guest Chair, red
        dimensions:
          type: array
          items:
            $ref: '#/components/schemas/InvoiceLineItemDimension'
        discountItemAmount:
          type: number
          example: 10
        discountItemPercentage:
          type: number
          example: 10
        grossAmount:
          type: number
          example: 109
        itemsAmount:
          type: number
          example: 100
        itemId:
          type: string
          example: 9fc4f3a2-5b8e-4d1b-8a0c-9f6e7d2f3e4b
        name:
          type: string
          example: RED CHAIR
        quantity:
          type: number
          example: 1
        taxCode:
          type: string
          example: '03'
        taxRatePercentage:
          type: number
          example: 19
        unitAmount:
          type: number
          example: 100
        updatedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    InvoiceLineItemDimension:
      type: object
      properties:
        id:
          type: string
          example: c1d2e3f4-5678-9abc-def0-1234567890ab
        categoryName:
          type: string
          example: CostCenter
        name:
          type: string
          example: C1
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````